8. Mapper2 升级 3 注意事项

Mapper2.x 升级 Mapper 3 注意事项

##如果你只用到了Mapper<T>`接口,那么可以直接升级到3.0.0版本

可以下载新的Jar替换,或者直接把Maven中Mapper的版本号改为3.0.0

##如果你用到了EntityMapper

你还需要EntityMapperhttp://git.oschina.net/free/EntityMapper

如果是用maven,可以直接添加:

<dependency>
    <groupId>com.github.abel533</groupId>
    <artifactId>entitymapper</artifactId>
    <version>1.0.0</version>
</dependency>

下载jar包:https://oss.sonatype.org/content/repositories/releases/com/github/abel533/entitymapper/

##如果你用到了SqlMapper

你可以加入上面的EntityMapper

或者因为SqlMapper本身就一个类,你可以把这个类加到自己项目中。

SqlMapper:SqlMapper.java

#后续更新维护

  • Mapper3以后会持续维护更新,添加一些针对性的通用方法。

  • Mapper2.x版本仍然会维护一段时间,只解决bug,不会有新内容。

  • EntityMapper项目只是为了方便Mapper2升级到Mapper3时可以使用EntityMapper和SqlMapper,以后不会维护。

  • SqlMapper因为只有一个类,所以有时间的时候还会进行完善。